Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.obj.mobile
Class IrMCVCardStore

    java.lang.Object
      local.tomas.mobile.sync.obj.mobile.IrMCSyncStore
          local.tomas.mobile.sync.obj.mobile.IrMCVCardStore

All Implemented Interfaces:
  SyncStore

Direct Known Subclasses:
  IrMCContactStore, IrMCEventStore, IrMCTaskStore

    public abstract class IrMCVCardStore

extends IrMCSyncStore

Constructor Summary
`IrMCVCardStore()`

Method Summary
`SyncObject` | `createObject()`
`protected abstract IrMCSyncObject` | `createObject(local.tomas.vcard.VCard vCard)`
`java.lang.Long` | `deleteObject(java.lang.String uid, boolean hard, java.lang.Long maxChangeCounter)`
`java.util.Map<java.lang.String,SyncObject>` | `getAllObjects()`
`java.lang.String` | `getDatabaseId()`
`java.util.Collection<SyncFieldDescription>` | `getFieldDescriptions()`
`protected local.tomas.irmc.IrMCInfoLog` | `getInfoLog()`
`SyncObject` | `getObject(java.lang.String uid)`
`ObjectConverterFactory` | `getObjectConverterFactory()`
`java.util.Map<java.lang.String,SyncObject>` | `getObjects(java.lang.String[] uids)`
`boolean` | `isChangeCounterSupported()`
`boolean` | `isTimestampSupported()`
`java.lang.Long` | `saveObject(SyncObject object, java.lang.Long maxChangeCounter)`
`void` | `setObjectConverterFactory(ObjectConverterFactory objectConverterFactory)`

Methods inherited from class local.tomas.mobile.sync.obj.mobile.IrMCSyncStore
`close, getChangeCounter, getChangeLog, getConnection, getNormalizer, getObex, getStoreType, setNormalizer, setObex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IrMCVCardStore

    public IrMCVCardStore()

Method Detail

### createObject

    protected abstract IrMCSyncObject createObject(local.tomas.vcard.VCard vCard)

### getInfoLog

    protected local.tomas.irmc.IrMCInfoLog getInfoLog()
                                               throws SyncException

  Throws:
    `SyncException`

### getObjectConverterFactory

    public ObjectConverterFactory getObjectConverterFactory()

### setObjectConverterFactory

    public void setObjectConverterFactory(ObjectConverterFactory objectConverterFactory)

### isChangeCounterSupported

    public boolean isChangeCounterSupported()
                                     throws SyncException

  Throws:
    `SyncException`

### isTimestampSupported

    public boolean isTimestampSupported()
                                 throws SyncException

  Throws:
    `SyncException`

### getDatabaseId

    public java.lang.String getDatabaseId()
                                   throws SyncException

  Throws:
    `SyncException`

### getFieldDescriptions

    public java.util.Collection<SyncFieldDescription> getFieldDescriptions()
                                                                    throws SyncException

  Throws:
    `SyncException`

### getObject

    public SyncObject getObject(java.lang.String uid)
                         throws SyncException

  Throws:
    `SyncException`

### getObjects

    public java.util.Map<java.lang.String,SyncObject> getObjects(java.lang.String[] uids)
                                                          throws SyncException

  Throws:
    `SyncException`

### getAllObjects

    public java.util.Map<java.lang.String,SyncObject> getAllObjects()
                                                             throws SyncException

  Throws:
    `SyncException`

### saveObject

    public java.lang.Long saveObject(SyncObject object,
                                     java.lang.Long maxChangeCounter)
                              throws SyncException

  Throws:
    `SyncException`

### deleteObject

    public java.lang.Long deleteObject(java.lang.String uid,
                                       boolean hard,
                                       java.lang.Long maxChangeCounter)
                                throws SyncException

  Throws:
    `SyncException`

### createObject

    public SyncObject createObject()
                            throws SyncException

  Throws:
    `SyncException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.